ColorMapper (Apache Ant API)
Keywords: org.apache.tools.ant.types.optional.image.ColorMapper,ColorMapper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.optional.image
Class ColorMapper

    java.lang.Object
      |
      +--org.apache.tools.ant.types.optional.image.ColorMapper

public final class ColorMapper
extends java.lang.Object

See Also:
  `Image`

Field Summary
`static java.lang.String` | `COLOR_BLACK`
`static java.lang.String` | `COLOR_BLUE`
`static java.lang.String` | `COLOR_CYAN`
`static java.lang.String` | `COLOR_DARKGRAY`
`static java.lang.String` | `COLOR_DARKGREY`
`static java.lang.String` | `COLOR_GRAY`
`static java.lang.String` | `COLOR_GREEN`
`static java.lang.String` | `COLOR_GREY`
`static java.lang.String` | `COLOR_LIGHTGRAY`
`static java.lang.String` | `COLOR_LIGHTGREY`
`static java.lang.String` | `COLOR_MAGENTA`
`static java.lang.String` | `COLOR_ORANGE`
`static java.lang.String` | `COLOR_PINK`
`static java.lang.String` | `COLOR_RED`
`static java.lang.String` | `COLOR_WHITE`
`static java.lang.String` | `COLOR_YELLOW`

Constructor Summary
`ColorMapper()`

Method Summary
`static java.awt.Color` | `getColorByName(java.lang.String color_name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLOR_BLACK

    public static final java.lang.String COLOR_BLACK

See Also:
  Constant Field Values

### COLOR_BLUE

    public static final java.lang.String COLOR_BLUE

See Also:
  Constant Field Values

### COLOR_CYAN

    public static final java.lang.String COLOR_CYAN

See Also:
  Constant Field Values

### COLOR_DARKGRAY

    public static final java.lang.String COLOR_DARKGRAY

See Also:
  Constant Field Values

### COLOR_GRAY

    public static final java.lang.String COLOR_GRAY

See Also:
  Constant Field Values

### COLOR_LIGHTGRAY

    public static final java.lang.String COLOR_LIGHTGRAY

See Also:
  Constant Field Values

### COLOR_DARKGREY

    public static final java.lang.String COLOR_DARKGREY

See Also:
  Constant Field Values

### COLOR_GREY

    public static final java.lang.String COLOR_GREY

See Also:
  Constant Field Values

### COLOR_LIGHTGREY

    public static final java.lang.String COLOR_LIGHTGREY

See Also:
  Constant Field Values

### COLOR_GREEN

    public static final java.lang.String COLOR_GREEN

See Also:
  Constant Field Values

### COLOR_MAGENTA

    public static final java.lang.String COLOR_MAGENTA

See Also:
  Constant Field Values

### COLOR_ORANGE

    public static final java.lang.String COLOR_ORANGE

See Also:
  Constant Field Values

### COLOR_PINK

    public static final java.lang.String COLOR_PINK

See Also:
  Constant Field Values

### COLOR_RED

    public static final java.lang.String COLOR_RED

See Also:
  Constant Field Values

### COLOR_WHITE

    public static final java.lang.String COLOR_WHITE

See Also:
  Constant Field Values

### COLOR_YELLOW

    public static final java.lang.String COLOR_YELLOW

See Also:
  Constant Field Values

Constructor Detail

### ColorMapper

    public ColorMapper()

Method Detail

### getColorByName

    public static final java.awt.Color getColorByName(java.lang.String color_name)

  To do:
    refactor to use an EnumeratedAttribute (maybe?)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.